#ifndef _OBSERV_HPP_
#define _OBSERV_HPP_
#include <wx/datetime.h>
#include <wx/xml/xml.h>

using namespace std;

class wxEpheApp;


#define	PARAMETER_NB	6

typedef	struct parameters
{
	wxString	location_name;
	float		location_long;
	float		location_lat;
	int			location_alt;
	long		location_zone;
	float		refraction;
} Param;


class	Observateur
{
	enum {TPSLOC, TPSTU};

	public:
		// données
		Param	param;

		long	zone;
		bool	dst;

		Instant	Inst;		// définition des dates et temps

		// données calculées
		double	eta1,eta2L,eta2C;	// pour le calcul des lever et coucher des astres

		double	InitTemps(void);
		double	InitTemps(wxDateTime &, long);
//		double	InitTemps(unsigned char, unsigned char, int, unsigned char=0, unsigned char=0, unsigned char=0, bool=false);
		void	InitLieu(const wxString &, double, double, int, long);
		bool	ChargeLieu(void);
		bool	ChargeLieuXML(void);

		void	Affiche(wxEpheFrameOL *) const;
};
#endif	// _OBSERV_HPP_
