/* Jean Philippe EIMER - 2013 *
 *  phil.eimer@9online.fr     */

#include "include.h"


// wxEpheIcon.png converted with bin2c
#ifndef	__WXMSW__
static unsigned char wxEpheIcon_png[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00, 0x18,
0x08, 0x02, 0x00, 0x00, 0x00, 0x6f, 0x15, 0xaa, 0xaf, 0x00, 0x00, 0x00,
0x06, 0x62, 0x4b, 0x47, 0x44, 0x00, 0xff, 0x00, 0xff, 0x00, 0xff, 0xa0,
0xbd, 0xa7, 0x93, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48, 0x59, 0x73, 0x00,
0x00, 0x0b, 0x12, 0x00, 0x00, 0x0b, 0x12, 0x01, 0xd2, 0xdd, 0x7e, 0xfc,
0x00, 0x00, 0x00, 0x07, 0x74, 0x49, 0x4d, 0x45, 0x07, 0xd2, 0x0c, 0x09,
0x15, 0x25, 0x2c, 0xeb, 0x1c, 0x68, 0x90, 0x00, 0x00, 0x00, 0xc1, 0x49,
0x44, 0x41, 0x54, 0x78, 0x9c, 0x63, 0x5c, 0xbb, 0x72, 0x17, 0x03, 0x35,
0x00, 0x13, 0x55, 0x4c, 0x19, 0xde, 0x06, 0xb1, 0xe0, 0x91, 0x0b, 0x52,
0x5e, 0x83, 0x26, 0xb2, 0xee, 0x6e, 0x08, 0x2e, 0xc5, 0x38, 0x5d, 0x84,
0x69, 0x0a, 0x2e, 0x41, 0x7c, 0x06, 0xe1, 0xd1, 0x80, 0x4b, 0x0a, 0xc5,
0x6b, 0x6d, 0x5d, 0x6e, 0x0c, 0x0c, 0x0c, 0x67, 0x66, 0xa6, 0xe1, 0x32,
0x05, 0x6e, 0x96, 0x49, 0xfa, 0x2c, 0x06, 0x06, 0x86, 0xaa, 0x32, 0x44,
0x1a, 0x64, 0x84, 0x24, 0x48, 0x88, 0x11, 0xb9, 0xb9, 0x0b, 0xe2, 0x75,
0x8e, 0xe1, 0x37, 0x05, 0x0e, 0x16, 0x5e, 0xb1, 0x9a, 0x3c, 0x39, 0x01,
0x6e, 0x1c, 0x0b, 0xc4, 0x94, 0xdc, 0xdc, 0x05, 0x44, 0xea, 0x47, 0x06,
0x10, 0x5d, 0x6d, 0x5d, 0x6e, 0x55, 0x65, 0xbb, 0x06, 0x5f, 0x3a, 0xa2,
0x6a, 0x82, 0xac, 0x2a, 0xdb, 0x05, 0x0f, 0x6c, 0x92, 0x34, 0x23, 0x07,
0x36, 0x23, 0x72, 0x31, 0x02, 0x31, 0x8e, 0x81, 0x50, 0x0a, 0x80, 0xc4,
0x3d, 0x03, 0x6a, 0xf4, 0xa3, 0xa4, 0x23, 0xb8, 0x84, 0x49, 0xba, 0x1b,
0x1e, 0x83, 0x90, 0xf5, 0xc3, 0x01, 0x23, 0xae, 0x82, 0x0d, 0x57, 0x0a,
0xc6, 0x95, 0xdd, 0x70, 0x06, 0x36, 0x56, 0x0d, 0x78, 0x32, 0x2d, 0xbe,
0xdc, 0x8f, 0x47, 0x1b, 0x09, 0x2e, 0x22, 0x15, 0x0c, 0x63, 0x83, 0x00,
0x76, 0x3f, 0x41, 0xe4, 0xdb, 0x53, 0xc0, 0x13, 0x00, 0x00, 0x00, 0x00,
0x49, 0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82,
};
#endif	// __WXMSW__

wxBEGIN_EVENT_TABLE(wxEpheFrameOL, wxFrame)
	EVT_CLOSE( wxEpheFrameOL::OnClose )
	EVT_TIMER( wxID_ANY, wxEpheFrameOL::OnTimer )
	EVT_CHECKBOX( wxID_ANY, wxEpheFrameOL::OnCheckBox )
wxEND_EVENT_TABLE();


wxIMPLEMENT_APP(wxEpheApp);


// OnInit event
bool wxEpheApp::OnInit()
{
	wxIcon 		appicon;
	wxLanguage	language;

	// Change the working directory to allow relative path
//	wxSetWorkingDirectory( wxStandardPaths::Get().GetResourcesDir() );


	// locale
	language =  (wxLanguage)wxLocale::GetSystemLanguage();	//	wxLANGUAGE_ENGLISH_US;
	language = wxLANGUAGE_DEFAULT;

    // load language if possible, fall back to english otherwise
	if( wxLocale::IsAvailable(language) )
    {
		locale = new wxLocale( language );

#ifndef __WXMSW__
        // add locale search paths
		locale->AddCatalogLookupPathPrefix(wxT("/usr/share/locale"));
		locale->AddCatalogLookupPathPrefix(wxT("/usr/local/share/locale"));
		wxStandardPaths* paths = (wxStandardPaths*) &wxStandardPaths::Get();
        wxString prefix = paths->GetInstallPrefix();
        locale->AddCatalogLookupPathPrefix( prefix );
#else	// __WXMSW__
		locale->AddCatalogLookupPathPrefix(wxT("."));
#endif	// __WXMSW__

		locale->AddCatalog( wxT(PACKAGE_NAME) );

		if( !locale->IsOk() || ( !locale->IsLoaded( wxT(PACKAGE_NAME) ) && language != wxLANGUAGE_ENGLISH && language != wxLANGUAGE_ENGLISH_US ) )
        {
			wxLogMessage( wxT("The selected language is wrong, or its translation file is not available or installed.") );
            delete locale;
            locale = new wxLocale( wxLANGUAGE_ENGLISH );
        }
    }
    else
    {
        wxLogMessage( wxT("The selected language is not supported by your system.\nTry installing support for this language.") );
        locale = new wxLocale( wxLANGUAGE_ENGLISH );
    }

	// Create all objects
	Date = new wxDateTime();
	Date->SetToCurrent();

	// Create the main frame window
	Frame = new wxEpheFrameOL((wxWindow *)NULL);

#ifdef	__WXMSW__
	Frame->SetIcon(wxICON(AppIcon));
#else	// __WXMSW__
	wxInitAllImageHandlers();
//	appicon.CopyFromBitmap(wxBITMAP_PNG(wxEpheIcon));
	appicon.CopyFromBitmap(wxBitmapHelpers::NewFromPNGData(wxEpheIcon_png, WXSIZEOF(wxEpheIcon_png)));
	Frame->SetIcon(appicon);
#endif	// __WXMSW__

	Frame->SetDoubleBuffered(true);		// to avoid flickering when calling Refresh()

#ifdef __WXGTK__
	// deal with bad/buggy autoresize behavior
	Frame->ObsLocation->SetWindowStyleFlag(wxST_NO_AUTORESIZE);
	Frame->Longitude->SetWindowStyleFlag(wxST_NO_AUTORESIZE);
	Frame->Latitude->SetWindowStyleFlag(wxST_NO_AUTORESIZE);
	Frame->Altitude->SetWindowStyleFlag(wxST_NO_AUTORESIZE);
	Frame->Obliquity->SetWindowStyleFlag(wxST_NO_AUTORESIZE);

	Frame->TimeZoneText->SetWindowStyleFlag(wxST_NO_AUTORESIZE);
	Frame->UTDateTime->SetWindowStyleFlag(wxST_NO_AUTORESIZE);
	Frame->JulianDate->SetWindowStyleFlag(wxST_NO_AUTORESIZE);
	Frame->G0ST->SetWindowStyleFlag(wxST_NO_AUTORESIZE);
	Frame->GST->SetWindowStyleFlag(wxST_NO_AUTORESIZE);
	Frame->ST->SetWindowStyleFlag(wxST_NO_AUTORESIZE);
#endif	// 	__WXGTK__

	Frame->Notebook->SetSelection(0);

	Frame->Init();

    // Show the frame
//	Frame->Layout();
	Frame->Fit();
	Frame->Centre();
	Frame->Show(true);

	SetTopWindow(Frame);

	Frame->ButtonNow->SetFocus();

	return true;
}


// OnExit event
int	wxEpheApp::OnExit()
{
	return (wxApp::OnExit());
}


// Main window Constructor
wxEpheFrameOL::wxEpheFrameOL(wxWindow *parent) : wxEpheFrame(parent)
{
	App = &wxGetApp();		// dummy
}


void	wxEpheFrameOL::Init(void)
{
	E.Observ.dst = wxDateTime::Now().IsDST();

	TimeZoneDST->SetValue( E.Observ.dst );

	if( !E.Observ.ChargeLieuXML() && !E.Observ.ChargeLieu()  )
	{
		wxLogMessage( _("Parameter file epherc or wxepherc not found.\nUse of default observer coordinates.") );
		E.Observ.InitLieu(wxT("Lyon"), -4.8333333, 45.76666667, 248, 3600L);
	}

	E.Observ.InitTemps();
	E.InitAstres();

	E.Observ.Inst.Affiche(this);
	E.Observ.Affiche(this);
	this->SetTitle(wxString::Format( wxT("%s - %s-%s"), _("Astronomical Ephemeris"), PACKAGE_NAME, PACKAGE_VERSION));
	E.Affiche(this, Ephemerides::HMS);
}


void wxEpheFrameOL::EventNow( wxCommandEvent& WXUNUSED(event) )
{
	E.Observ.dst = TimeZoneDST->GetValue();

	E.Observ.InitTemps();
	E.InitAstres();

	E.Observ.Inst.Affiche(this);
	E.Observ.Affiche(this);
	E.Affiche(this, Ephemerides::HMS);
}


void wxEpheFrameOL::EventSet( wxCommandEvent& WXUNUSED(event) )
{
	long zone;
	wxDateTime	wxdt = LocalDate->GetValue();


	wxdt.ParseTime( LocalTime->GetValue() );

	E.Observ.dst = TimeZoneDST->GetValue();

	TimeZoneValue->GetValue().ToLong(&zone);
	zone *= 36;

	E.Observ.InitTemps( wxdt, zone );
	E.InitAstres();

	E.Observ.Inst.Affiche(this);
	E.Observ.Affiche(this);
	E.Affiche(this, Ephemerides::HMS);
}


void wxEpheFrameOL::OnClose( wxCloseEvent& WXUNUSED(event) )
{
	Destroy();
}


void wxEpheFrameOL::OnTimer( wxTimerEvent& WXUNUSED(event) )
{
	wxCommandEvent	wxce = wxEVT_NULL;

	EventNow( wxce );
}


void wxEpheFrameOL::OnCheckBox( wxCommandEvent& WXUNUSED(event) )
{
	bool	ca = CheckAuto->GetValue();


	ButtonNow->Enable( !ca );
	ButtonSet->Enable( !ca );

	if( ca )
		CompTimer.Start( 1000, wxTIMER_CONTINUOUS );	// compute every 1000ms
	else
		CompTimer.Stop();
}

